function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { StyledTrack } from './partials/StyledTrack';
export var Track = function Track(_ref) {
  var source = _ref.source,
    target = _ref.target,
    getTrackProps = _ref.getTrackProps;
  return /*#__PURE__*/React.createElement(StyledTrack, _extends({
    $left: "".concat(source.percent, "%"),
    $width: "".concat(target.percent - source.percent, "%")
  }, getTrackProps()));
};
Track.displayName = 'Track';